using System;
using System.IO;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Navigation;

namespace FingersDance.Control.ListVideo
{
	public partial class UserControlListVideo
	{
        //Creation d'un Event pour Chaque Item Video
        public event EventHandler EH_ItemVideo1_ContactDown;
        public event EventHandler EH_ItemVideo2_ContactDown;

		public UserControlListVideo()
		{
			this.InitializeComponent();

			// Insert code required on object creation below this point.
		}

        private void ItemVideo1_ContactDown(object sender, Microsoft.Surface.Presentation.ContactEventArgs e)
        {
            if (EH_ItemVideo1_ContactDown != null)
                EH_ItemVideo1_ContactDown(this, new EventArgs());
        }

        private void ItemVideo2_ContactDown(object sender, Microsoft.Surface.Presentation.ContactEventArgs e)
        {
            if (EH_ItemVideo2_ContactDown != null)
                EH_ItemVideo2_ContactDown(this, new EventArgs());
        }

        //Event appelé lors de la selection d'un Item dans la Video List
        private void ItemVideo1_ContactTapGesture(object sender, Microsoft.Surface.Presentation.ContactEventArgs e)
        {
            if (EH_ItemVideo1_ContactDown != null)
                EH_ItemVideo1_ContactDown(this, new EventArgs());
        }
	}
}